Package javax.media.j3d

# Class SoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.SoundException

All Implemented Interfaces:
  `Serializable`

public class SoundException extends RuntimeException
Indicates a problem in loading or playing a sound sample.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SoundException()`
Create the exception object with default values.
`SoundException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SoundException

public SoundException()
Create the exception object with default values.

### SoundException

public SoundException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.